Bug 317781 - Problems running with 1920x1200 LCD
Problems running with 1920x1200 LCD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
7
i686 Linux
low Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 00:37 EDT by Normand Robert
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 10:21:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log (49.68 KB, text/plain)
2007-10-04 00:37 EDT, Normand Robert
no flags Details
/etc/X11/xorg.conf (773 bytes, application/octet-stream)
2007-10-04 21:04 EDT, Normand Robert
no flags Details

  None (edit)
Description Normand Robert 2007-10-04 00:37:20 EDT
Description of problem:

After login the system only shows 3/4 of the desktop and scrolls when mouse
reaches right side revealing remainder of the desktop. Aspect ratio is also
messed up. Must set resolution to a lower value like 1600x1200 and back to
original 1920x1200 value upon each login to get correct result. As a result of
going to an even lower resolution (oops!) all of my applets got shuffled around
and my main menu is now in the middle of the toolbar. The main menu can not be
moved like the other applets...

Version-Release number of selected component (if applicable):

Not sure which component is responsible here are a few (system yum'ed 2007/10/04) :
xorg-x11-server-Xorg-1.3.0.0-9.fc7
xorg-x11-server-utils-7.2-1.fc7

How reproducible:
Always

Steps to Reproduce:
1. Login 

  
Actual results:

3/4 desktop shown must mv mouse to the right to see the rest. Apsect ratio incorrect

Expected results:

Full desktop visible on lcd monitor.
 
Additional info:
Monitor set under "System->Administration->Display" to Generic 1920x1200
 because my Viewsonic VP2330wb is not in the list.

Xorg.log file attached.
Comment 1 Normand Robert 2007-10-04 00:37:20 EDT
Created attachment 215431 [details]
Xorg.log
Comment 2 Normand Robert 2007-10-04 01:06:26 EDT
Clarification:  Monitor resolution set under "System->Administration->Display"
to highest available choice of 1920x1200. Monitor type set to LCD Panel
1920x1200  i.e. Generic->1920x1200.
 
The system has been rebooted several since these settings were changed during
fedora 7 installation so Xserver has been restarted with these values. System is
dual boot and FC6 behave correctly with these same settings.

Upon login Preference->Hardware->Screen->Display Resolution (<-- actual english
wording may differ running in .fr and translating!) says 1920x1200 60Hz. The
preference must be set to a lower value and back to 1920x1200 to fix the problem.

The /home directory was previously running under FC6 and thus many gnome
environment user setting were inherited from FC6. However root which is "fresh"
also misbehaves in the same way.

Comment 3 Matěj Cepl 2007-10-04 08:08:14 EDT
What happens when you remove (or rename to be sure) your /etc/X11/xorg.conf and
restart X?
Comment 4 Normand Robert 2007-10-04 20:58:55 EDT
1) Edited /etc/inittab and changed run level from 5 to 3
2) reboot
3) Logged in terminal mode. mv /etc/X11/xorg.conf ~
4) Edited /etc/inittab and changed run level from 3 to 5
5) reboot
6) Logged in as root via gdm.  Display is messed up exactly as before.
7) Used Preference->Hardware->Screen->Display->Resolution
   to change resolution from 1920x1200 to 1600x1200 and clicked ok
8) Told system I did not wish to keep the setting so I "returned" to 1920x1200
and all is well

9) No xorg.conf file... System did not write a new one in its place since it was
moved to ~root.

[root@localhost ~]# ls /etc/X11
applnk  prefdm        sysconfig  X    xinit    Xresources
fs      serverconfig  twm        xdm  Xmodmap
[root@localhost ~]# 

10) Also I only see a part of the desktop in gdm. Display scrolls if I mv
pointer to the right boundary of the screen. This behaviour also existed in FC6
but at least everything worked fine after gdm login.

11) Clicked  System->Administration->Display The dialog shows resolution to be
1600x1200.

12) Setting Monitor to Generic LCD 1920x1200
13) New xorg.conf file added.
 
14) Comparing old file and new file:
[root@localhost ~]# diff ~/xorg.conf /etc/X11/xorg.conf 
[root@localhost ~]# 


I also noticed something else strange while logged in as root. I had 3 rhythmbox
applets on my toolbar. Last night as a regular non-root user I tried adding the
rhythbox app 3 times and it never showed up(lower res had messed up my applets
so I reorganized things). I have not yet used the user switching feature so
these are proper login/logout between root and non-root accounts. I did have
some window running that required root authentification at the time on my
non-root account.

Logged in again as root and the music applet which I had never added as root are
gone! Strange!
Comment 5 Normand Robert 2007-10-04 21:04:30 EDT
Created attachment 216901 [details]
/etc/X11/xorg.conf
Comment 6 Normand Robert 2007-10-04 21:14:09 EDT
Those rhytmbox applets which showed up during the one root login were "broken".
I had to mouse over them to see what they were.
Comment 7 Matěj Cepl 2007-10-08 11:47:02 EDT
(In reply to comment #4)
> 6) Logged in as root via gdm.  Display is messed up exactly as before.

Don't do that -- we actually don't expect anybody to use X as root. If you need
to be root, just use gnome-terminal (or most sysadmin applications ask for root
password when needed). And yes, the results of logging as root in X are not well
defined.

Sorry, that's not what thought you would do -- if you want to make it clear
start in telinit 3. Do (as root without X running at all):

mv /etc/X11/xorg.conf /etc/X11/xorg.conf.testing

and then

telinit 5

What happens? (and please attach /var/log/Xorg.0.log from this attempt) The
point is -- do not even try to run system-config-display.

> I also noticed something else strange while logged in as root. I had 3 rhythmbox
> applets on my toolbar. Last night as a regular non-root user I tried adding the
> rhythbox app 3 times and it never showed up(lower res had messed up my applets

This is probably red herring -- I mean, it is probably bug with Gnome or
rhythmbox, but it has nothing to do with resolution of Xorg. 

> Logged in again as root and the music applet which I had never added as root are
> gone! Strange!

See above.

Thanks and sorry for bothering you again.
Comment 8 Matěj Cepl 2007-11-14 10:11:09 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 9 Normand Robert 2007-11-22 17:17:39 EST
I will reply in the next few days...  Holidays got in the way + I never log out
so once I fix the resolution I am good to go :)
Comment 10 Matěj Cepl 2007-11-22 18:31:46 EST
OK, but let's that NEEDINFO in power.
Comment 11 Matěj Cepl 2008-01-15 12:18:39 EST
Reporter, could you please reply to the previous question? If you won't reply in
one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 12 Matěj Cepl 2008-02-15 10:21:55 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.